Data Member
alignedReadStore
String that stores <alignId, readId, contigId, pairMatchId, beginPos, endPos, gaps>.
Include Headers
seqan/store.h
Remarks
You can sort the alignedReadStore using sortAlignedReads. After sorting, you can use the functions lowerBoundAlignedReads and upperBoundAlignedReads to perform a binary search, e.g. for accessing only a subrange.
Value type is AlignedReadStoreElement.
Member of
FragmentStore
Metafunctions

TAlignedReadStore | Type of the alignedReadStore member.

See Also
upperBoundAlignedReads, lowerBoundAlignedReads, sortAlignedReads
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59